services:
    category_database:
        class:        Webmil\Frontend\ProductBundle\Service\CategoryDatabaseService
        arguments:    ["@doctrine.orm.entity_manager", "@service_container"]
    product_database:
        class:        Webmil\Frontend\ProductBundle\Service\ProductDatabaseService
        arguments:    ["@doctrine.orm.entity_manager", "@service_container"]
    reagent_database:
        class:        Webmil\Frontend\ProductBundle\Service\ReagentDatabaseService
        arguments:    ["@doctrine.orm.entity_manager", "@service_container"]
    subcategory_reagent_database:
        class:        Webmil\Frontend\ProductBundle\Service\SubcategoryReagentDatabaseService
        arguments:    ["@doctrine.orm.entity_manager", "@service_container"]
    reagent:
        class:        Webmil\Frontend\ProductBundle\Service\ReagentService
        arguments:    ["@service_container"]
    search:
        class:        Webmil\Frontend\ProductBundle\Service\SearchService
        arguments:    ["@service_container", "@ivory_lucene_search"]

